@charset "UTF-8";

/* Spacers*/
.m_0 { margin: 0 !important; }
.mt_0 { margin-top: 0 !important; }
.mt_5 { margin-top: 5px !important; }
.mt_10 { margin-top: 10px !important; }
.mt_15 { margin-top: 15px !important; }
.mt_20 { margin-top: 20px !important; }
.mt_25 { margin-top: 25px !important; }
.mt_30 { margin-top: 30px !important; }
.mt_40 { margin-top: 40px !important; }
.mt_50 { margin-top: 50px !important; }
.mb_0 { margin-bottom: 0 !important; }
.mb_5 { margin-bottom: 5px !important; }
.mb_10 { margin-bottom: 10px !important; }
.mb_15 { margin-bottom: 15px !important; }
.mb_20 { margin-bottom: 20px !important; }
.mb_25 { margin-bottom: 25px !important; }
.mb_30 { margin-bottom: 30px !important; }
.mt_40 { margin-top: 40px !important; }
.mt_50 { margin-top: 50px !important; }
.ml_0 { margin-left: 0 !important; }
.ml_5 { margin-left: 5px !important; }
.ml_10 { margin-left: 10px !important; }
.ml_15 { margin-left: 15px !important; }
.ml_20 { margin-left: 20px !important; }
.ml_25 { margin-left: 25px !important; }
.ml_30 { margin-left: 30px !important; }
.ml_40 { margin-left: 40px !important; }
.ml_50 { margin-left: 50px !important; }
.mr_0 { margin-right: 0 !important; }
.mr_5 { margin-right: 5px !important; }
.mr_10 { margin-right: 10px !important; }
.mr_15 { margin-left: 15px !important; }
.mr_20 { margin-left: 20px !important; }
.mr_25 { margin-left: 25px !important; }
.mr_30 { margin-left: 30px !important; }
.mr_40 { margin-left: 40px !important; }
.mr_50 { margin-left: 50px !important; }
.mx_0 { margin-left: 0 !important; margin-right: 0 !important; }
.mx_5 { margin-left: 5px !important; margin-right: 5px !important; }
.mx_10 { margin-left: 10px !important; margin-right: 10px !important; }
.mx_15 { margin-left: 15px !important; margin-right: 15px !important; }
.mx_20 { margin-left: 20px !important; margin-right: 20px !important; }
.mx_25 { margin-left: 25px !important; margin-right: 25px !important; }
.mx_30 { margin-left: 30px !important; margin-right: 30px !important; }
.mx_40 { margin-left: 40px !important; margin-right: 40px !important; }
.mx_50 { margin-left: 50px !important; margin-right: 50px !important; }
.my_0 { margin-top: 0 !important; margin-bottom: 0 !important; }
.my_5 { margin-top: 5px !important; margin-bottom: 5px !important; }
.my_10 { margin-top: 10px !important; margin-bottom: 10px !important; }
.my_15 { margin-top: 15px !important; margin-bottom: 15px !important; }
.my_20 { margin-top: 20px !important; margin-bottom: 20px !important; }
.my_25 { margin-top: 25px !important; margin-bottom: 25px !important; }
.my_30 { margin-top: 30px !important; margin-bottom: 30px !important; }
.my_40 { margin-top: 40px !important; margin-bottom: 40px !important; }
.my_50 { margin-top: 50px !important; margin-bottom: 50px !important; }

/* Display */
.d_none { display: none !important; }
.d_block { display: block !important; }
.d_inline_block { display: inline-block !important; }
.d_flex { display: flex !important; }

/* Buttons */
.ftx_btn { display: inline-block; text-align: center; text-decoration: none !important; }
.ftx_btn .processing { display: none; }
.ftx_btn .done { display: none; }
.ftx_btn.processing .default { display: none; }
.ftx_btn.processing .processing { display: inline-block; }
.ftx_btn.processing .done { display: none; }
.ftx_btn.done .default { display: none; }
.ftx_btn.done .processing { display: none; }
.ftx_btn.done .done { display: inline-block; }

/* Content for reading */
.content_reading_wrapper { margin: 0 auto; max-width: 700px; }
.content_reading_wrapper.xs { max-width: 400px; }
.content_reading_wrapper.sm { max-width: 500px; }
.content_reading_wrapper.md { max-width: 600px; }
.content_reading_wrapper.lg { max-width: 800px; }
.content_reading_wrapper.left { margin: 0; }

/* SVG support */
.la6c23o:not(svg) { display: inline-block; }
.la6c23o { line-height: 1; }
svg.la6c23o,
.la6c23o > svg,
.ftx_table_icon > svg { display: inline-block; flex-shrink: 0; height: 1em; line-height: 1; vertical-align: -.125em; }
svg.ftx_spin,
.la6c23o.ftx_spin >svg,
.ftx_table_icon.ftx_spin > svg { -webkit-animation: ftx_spin 2s infinite linear; animation: ftx_spin 2s infinite linear; }
@-webkit-keyframes ftx_spin {
	0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
@keyframes ftx_spin {
	0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}

/* Misc */
body.ftx_body_noscroll { overflow: hidden; padding-right: 17px; }
